* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
    font-weight: 500;
    font-size: 14px;
    -webkit-tap-highlight-color: transparent;
  }

:root {
  --menubar-height: 74px;
}  

::-webkit-scrollbar {
    display: none;
}

html::-webkit-scrollbar{
  display: none;
}

html {
  overflow-x: hidden;
  scrollbar-width: none;
  -ms-overflow-style: none;
  -moz-scrollbars-none;
}

.hidden {
  display: none;
  opacity: 0;
  visibility: hidden;
  height: 0;
  width: 0;
}

body {
  overflow-x: hidden;
  background-color: #00252d;
  color: white;
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: center;
  scrollbar-width: none;
  -ms-overflow-style: none;
  -moz-scrollbars-none;
  height: -webkit-fill-available;
}

.content {
  height: 100%;
  width: 100%;
  flex-grow: 1;
  display: flex;
  justify-content: center;
  align-items: center;
}

.foot {
  width: 100%;
  display: flex;
  justify-content: space-between;
  padding: 10px 30px;
  height: 38px;
}

.foot img {
  height: 18px;
  animation: load_anim forwards ease-out 0.2s;
}
  
.flash {
  position: fixed;
  bottom: 38px;
  border: 1px solid #00bcb7;
  border-radius: 10px;
  padding: 20px;
  color: white;
  transition-duration: 1s;
  visibility: visible;
  opacity: 1;
  max-width: 220px;
  text-align: center;
  background-color: #00252d;
}

.flash[closed="false"] {
  animation: flash_anim 8s forwards linear;
}

.flash[closed="true"] {
  transition-duration: 1s;
  bottom: 38px;
  opacity: 0;
  display: none;
}

@keyframes flash_anim {
  0% {
    right: -200px;
    opacity: 0;
  }
  2% {
    right: 18px;
    opacity: 1;
  }
  98% {
    right: 18px;
    opacity: 1;
  }
  100% {
    right: -200px;
    opacity: 0;
  }
}

.flash_close {
  visibility: hidden;
  position: absolute;
  top: 0;
  right: 0;
  width: 20px;
  height: 20px;
  margin-right: 2px;
  margin-top: 2px;
  cursor: pointer;
}

.flash:hover .flash_close {
  visibility: visible;
}

.flash_close:after {
  content: '';
  position: absolute;
  left: 3.5px;
  top: 8.5px;
  width: 11px;
  height: 0px;
  border-bottom: 1px solid white;
  transform: rotate(45deg);
}

.flash_close:before {
  content: '';
  position: absolute;
  left: 3.5px;
  top: 8.5px;
  width: 11px;
  height: 0px;
  border-bottom: 1px solid white;
  transform: rotate(135deg);
}

.menubar {
  border-bottom: 1px solid #00bcb7;
  height: var(--menubar-height);
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 0 30px;
  width: 100%;
  position: relative;
}

.menubar a {
  /*animation: load_anim forwards ease-out 0.2s;*/
}

.menubar a, .menubar a img {
  height: 40px;
  cursor: pointer;
}

.back_arrow {
  width: 10px;
  height: 10px;
  border: 1px solid #00bcb7;
  border-right: 0;
  border-bottom: 0;
  display: none;
  transform: rotate(-45deg);
  margin-right: 3px;
  animation: back_arrow_anim 0.2s forwards;
}

@keyframes back_arrow_anim {
  0% {
    width: 0px;
    height: 0px;
    margin-right: 0;
    border: 0;
  } 100% {
    width: 10px;
    height: 10px;
    border: 1px solid #00bcb7;
    margin-right: 3px;
    border-right: 0;
    border-bottom: 0;
  }
}

.back_arrow[hidden='true'] {
  animation: back_arrow_hide 0.1s forwards;
}

@keyframes back_arrow_hide {
  0% {
    width: 10px;
    height: 10px;
    border: 1px solid #00bcb7;
    margin-right: 3px;
    border-right: 0;
    border-bottom: 0;
  } 100% {
    width: 0px;
    height: 0px;
    margin-right: 0;
    border: 0;
  }
}

.menu_logo {
  display: flex;
  align-items: center;
}

.nav {
  display: flex;
  flex-direction: row;
  justify-content: right;
}

.nav a {
  margin-right: 26px;
  padding-left: 34px;
  color: #00bcb7;
  text-decoration: none;
  font-size: 16px;
  display: flex;
  justify-content: left;
  align-items: center;
  position: relative;
  display: flex;
  justify-content: right;
  align-items: center;
  text-align: right;
  height: 26px;
  /*animation: load_anim forwards ease-out 0.2s;*/
}

@keyframes load_anim {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}


.nav a:last-of-type {
  margin-right: 0;
}

.nav a img {
  margin-right: 8px;
  height: 26px;
  position: absolute;
  top: 0;
  left: 0;
}

.nav a img:last-of-type {
  display: none;
}

.nav a:active {
  color: #dcfcff;
}

.nav a:active img {
  display: none;
}

.nav a:active img:last-of-type{
  display: block;
}

.container {
  margin-bottom: auto;
  margin-top: 30px;
  width: 95%;
  max-width: 1200px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.menu_title {
  font-size: 20px;
  border-bottom: 1px solid white;
  width: 100%;
  padding-bottom: 5px;
}

.burger {
  height: 50px;
  padding: 15px;
  padding-right: 20px;
  visibility: hidden;
  display: none;
  cursor: pointer;
}

@media all and (max-width: 860px) {

  :root {
    --menubar-height : 50px;
  }

  .nav {
    position: absolute;
    top: var(--menubar-height);
    right: -200px;
    background-color: white;
    flex-direction: column;
    padding-top: 10px;
    width: 200px;
    background-color: #00252d;
    border: 1px solid #00bcb7;
    border-top: 0px;
    border-right: 0px;
    z-index: 50;
    transition-duration: 0.3s;
  }

  .nav[active='True'] {
    right: 0px;
  }

  .nav a {
    margin-right: 0;
    justify-content: flex-start;
    margin-bottom: 10px;
    margin-left: 10px;
    width: 100%;
  }

  .menubar {
    padding-right: 0;
    padding-left: 14px;
  }

  .menubar a,
  .menubar a img {
    height: 26px;
  }

  .burger {
    visibility: visible;
    display: block;
  }

  .container {
    margin-top: 3vw;
  }

  .menu_title {
    border-bottom: 0px;
    padding-bottom: 0px;
    text-align: center;
  }

  .back_arrow {
    display: block;
  }
}
